package com.chenyang.nse.bussiness.tools.engine.mapplet;

import java.io.Serializable;
import java.util.Map;

public class TransformationInfo implements Serializable {
   private static final long serialVersionUID = 1L;
   public String name;
   public String type;
   public Map<String, PortInfo> portMap;
   private String assignedFlag = "0";
   public String reusable = "NO";

   public String getName() {
      return this.name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public String getReusable() {
      return this.reusable;
   }

   public void setReusable(String reusable) {
      this.reusable = reusable;
   }

   public String getType() {
      return this.type;
   }

   public void setType(String type) {
      this.type = type;
   }

   public Map<String, PortInfo> getPortMap() {
      return this.portMap;
   }

   public void setPortMap(Map<String, PortInfo> portMap) {
      this.portMap = portMap;
   }

   public String getAssignedFlag() {
      return this.assignedFlag;
   }

   public void setAssignedFlag(String assignedFlag) {
      this.assignedFlag = assignedFlag;
   }
}
